import type { RouteRecordRaw } from 'vue-router';

import { EosRole, IconSystem, MdiUser, RiDept } from '@vben/icons';

const routes: RouteRecordRaw[] = [
  {
    name: 'system',
    path: '/system',
    meta: {
      icon: IconSystem,
      title: '系统管理',
      order: 4,
      authority: ['system'],
    },
    children: [
      {
        name: 'role',
        path: '/system/role',
        component: () => import('#/views/role/list.vue'),
        meta: {
          icon: EosRole,
          title: '角色管理',
          authority: ['system:role'],
        },
      },
      {
        name: 'dept',
        path: '/system/dept',
        component: () => import('#/views/dept/list.vue'),
        meta: {
          icon: RiDept,
          title: '部门管理',
          authority: ['system:dept'],
        },
      },
      {
        name: 'user',
        path: '/system/user',
        component: () => import('#/views/user/list.vue'),
        meta: {
          icon: MdiUser,
          title: '用户管理',
          authority: ['system:user'],
        },
      },
    ],
  },
];

export default routes;
